lv.eparaksts.tsl

## Class TrustedList

- java.lang.Object
- - lv.eparaksts.tsl.TrustedList

- All Implemented Interfaces:
    Serializable

      public class TrustedList
      extends Object
      implements Serializable

  Represents a Trusted List as specified by 'ETSI TS 119 612 v1.2.1'.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrustedList(Lotl lotl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getDistributionPoints()`
    `Date` | `getIssueDate()`
    `Lotl` | `getLotl()` Returns the associated Lotl, never `null`.
    `Date` | `getNextUpdateDate()`
    `TrustedListPointer` | `getPointer(String territory)`
    `List<TrustedListPointer>` | `getPointers()`
    `List<String>` | `getSchemeInformationURIs()`
    `int` | `getSequenceNumber()`
    `List<TrustedListServiceProvider>` | `getServiceProviders()`
    `String` | `getTerritory()`
    `List<TrustedCertificate>` | `getTrustedCertificates()` Returns the available trusted certificates.
    `int` | `getVersionIdentifier()`
    `boolean` | `isValidAt(Date validationDate)`
    `protected void` | `setDistributionPoints(List<String> distributionPoints)`
    `protected void` | `setIssueDate(Date issueDate)`
    `protected void` | `setNextUpdateDate(Date nextUpdateDate)`
    `protected void` | `setPointers(List<TrustedListPointer> pointers)`
    `void` | `setSchemeInformationURIs(List<String> schemeInformationURIs)`
    `protected void` | `setSequenceNumber(int sequenceNumber)`
    `protected void` | `setServiceProviders(List<TrustedListServiceProvider> serviceProviders)`
    `protected void` | `setTerritory(String territory)`
    `protected void` | `setVersionIdentifier(int versionIdentifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustedList

          protected TrustedList(Lotl lotl)

  - ### Method Detail

    - #### getLotl

          public Lotl getLotl()

      Returns the associated Lotl, never `null`.
      Returns:
        Lotl.

    - #### getVersionIdentifier

          public int getVersionIdentifier()

    - #### setVersionIdentifier

          protected void setVersionIdentifier(int versionIdentifier)

    - #### getSequenceNumber

          public int getSequenceNumber()

    - #### setSequenceNumber

          protected void setSequenceNumber(int sequenceNumber)

    - #### getTerritory

          public String getTerritory()

    - #### setTerritory

          protected void setTerritory(String territory)

    - #### getIssueDate

          public Date getIssueDate()

    - #### setIssueDate

          protected void setIssueDate(Date issueDate)

    - #### getNextUpdateDate

          public Date getNextUpdateDate()

    - #### setNextUpdateDate

          protected void setNextUpdateDate(Date nextUpdateDate)

    - #### getPointer

          public TrustedListPointer getPointer(String territory)

    - #### getPointers

          public List<TrustedListPointer> getPointers()

    - #### setPointers

          protected void setPointers(List<TrustedListPointer> pointers)

    - #### getServiceProviders

          public List<TrustedListServiceProvider> getServiceProviders()

    - #### setServiceProviders

          protected void setServiceProviders(List<TrustedListServiceProvider> serviceProviders)

    - #### getDistributionPoints

          public List<String> getDistributionPoints()

    - #### setDistributionPoints

          protected void setDistributionPoints(List<String> distributionPoints)

    - #### getSchemeInformationURIs

          public List<String> getSchemeInformationURIs()

    - #### setSchemeInformationURIs

          public void setSchemeInformationURIs(List<String> schemeInformationURIs)

    - #### isValidAt

          public boolean isValidAt(Date validationDate)

    - #### getTrustedCertificates

          public List<TrustedCertificate> getTrustedCertificates()
                                                          throws TrustedListException

      Returns the available trusted certificates.
      Returns:
        a List containing the available trusted certificates.
      Throws:
        `TrustedListException` - if certificate collection failed.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO